import React, { PropsWithChildren, useState } from "react";

export interface Hastighetsfilter {
    verdi: string;
    valgt: boolean;
}
interface HastighetsfilterContextValue {
    hastighetsfilter: Hastighetsfilter;
    oppdaterFilter: (verdi: Hastighetsfilter) => void;
}

const defaultValue = {
    hastighetsfilter: {
        verdi: "",
        valgt: false,
    },
    oppdaterFilter: (verdi: Hastighetsfilter) => {},
};

export const HastighetsfilterContext =
    React.createContext<HastighetsfilterContextValue>(defaultValue);

export const HastighetsfilterProvider: React.FC<PropsWithChildren<{}>> = ({ children }) => {
    const [filter, setFilter] = useState<Hastighetsfilter>(defaultValue.hastighetsfilter);

    return (
        <HastighetsfilterContext.Provider
            value={{
                hastighetsfilter: filter,
                oppdaterFilter: setFilter,
            }}
        >
            {children}
        </HastighetsfilterContext.Provider>
    );
};
