import React, { PropsWithChildren, useState } from "react";

interface MenyÅpenContextValue {
    menyÅpen: boolean;
    oppdaterMenyÅpen: (menyåpen: boolean) => void;
}

const defaultValue = {
    menyÅpen: false,
    oppdaterMenyÅpen: (menyÅpen: boolean) => {},
};

export const MenyÅpenContext = React.createContext<MenyÅpenContextValue>(defaultValue);

export const MenyÅpenProvider: React.FC<PropsWithChildren<{}>> = ({ children }) => {
    const [menyÅpen, settMenyÅpen] = useState<boolean>(true);

    return (
        <MenyÅpenContext.Provider
            value={{
                menyÅpen: menyÅpen,
                oppdaterMenyÅpen: (menyåpen: boolean) => settMenyÅpen(menyåpen),
            }}
        >
            {children}
        </MenyÅpenContext.Provider>
    );
};
