import React, { PropsWithChildren, useContext } from "react";
import { Produksjonslenke } from "../../kartSide/types/produksjonslenke";
import { useHentProduksjonslenker } from "../useHentProduksjonslenker";
import { KartdataContext } from "./KartdataContext";
import { ApiRespons } from "../api";

export interface ProduksjonslenkeContextValue {
    produksjonslenker: ApiRespons<Produksjonslenke[]> | undefined;
}

const defaultValue = {
    produksjonslenker: undefined,
};

export const ProduksjonslenkerContext =
    React.createContext<ProduksjonslenkeContextValue>(defaultValue);

export const ProduksjonslenkerProvider: React.FC<PropsWithChildren<{}>> = ({ children }) => {
    const { kontrakt, tidspunkt } = useContext(KartdataContext);
    const produksjonslenker = useHentProduksjonslenker(kontrakt.aktiv?.navnNvdb, tidspunkt.verdi);

    return (
        <ProduksjonslenkerContext.Provider
            value={{
                produksjonslenker: produksjonslenker,
            }}
        >
            {children}
        </ProduksjonslenkerContext.Provider>
    );
};
