import React, { PropsWithChildren, useContext, useState } from "react";
import { KartdataContext } from "./KartdataContext";
import { ApiRespons } from "../api";
import { RodeDto, useHentRoder } from "../useHentRoder";

interface RodeContextValue {
    roder: ApiRespons<RodeDto[]> | undefined;
}

const defaultValue = {
    roder: undefined,
};

export const RoderContext = React.createContext<RodeContextValue>(defaultValue);

export const RoderProvider: React.FC<PropsWithChildren<{}>> = ({ children }) => {
    const { kontrakt } = useContext(KartdataContext);

    const roder = useHentRoder(kontrakt.aktiv?.elrappId);

    return (
        <RoderContext.Provider
            value={{
                roder: roder,
            }}
        >
            {children}
        </RoderContext.Provider>
    );
};
