import React, { PropsWithChildren, useState } from "react";
import { Tidsintervall } from "../../kartSide/utils/tidsintervallUtils";

export interface Tidsfilter {
    startTidspunkt: number;
    sluttTidspunkt: number;
    valgt: boolean;
}

interface TidsfilterContextValue {
    tidsfilter: Tidsfilter[];
    oppdaterFilter: (verdi: Tidsfilter[]) => void;
}

export const defaultTidsfilter: Tidsfilter[] = [
    {
        startTidspunkt: Tidsintervall.time0h,
        sluttTidspunkt: Tidsintervall.time1h30m,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time1h30m,
        sluttTidspunkt: Tidsintervall.time2h,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time2h,
        sluttTidspunkt: Tidsintervall.time3h,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time3h,
        sluttTidspunkt: Tidsintervall.time4h,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time4h,
        sluttTidspunkt: Tidsintervall.time12h,
        valgt: true,
    },
];

const defaultValue = {
    tidsfilter: defaultTidsfilter,
    oppdaterFilter: (verdi: Tidsfilter[]) => {},
};

export const TidsfilterContext = React.createContext<TidsfilterContextValue>(defaultValue);

export const TidsfilterProvider: React.FC<PropsWithChildren<{}>> = ({ children }) => {
    const [filter, setFilter] = useState<Tidsfilter[]>(defaultValue.tidsfilter);

    return (
        <TidsfilterContext.Provider
            value={{
                tidsfilter: filter,
                oppdaterFilter: setFilter,
            }}
        >
            {children}
        </TidsfilterContext.Provider>
    );
};
