import useSWR from "swr";
import { ApiRespons, fetcher, ikkeRevalidate } from "./api";
import { DRIFTSPORTAL_API_URL } from "../utils/baseUrl";

export interface KontraktBrukerDto {
    fulltnavn: string;
    epost: string;
    kontrakter?: KontraktDto[];
}

export interface KontraktDto {
    kontraktNavn: string;
    kontraktNavnNvdb: string;
    elrappKontraktId: number;
}

export function useHentKontraktinfo(): ApiRespons<KontraktBrukerDto> | undefined {
    const { data } = useSWR<ApiRespons<KontraktBrukerDto>>(
        `${DRIFTSPORTAL_API_URL}/bruker-kontrakter`,
        fetcher,
        ikkeRevalidate
    );
    return data;
}
