import useSWR from "swr";
import { ApiRespons, fetcher, ikkeRevalidate } from "./api";
import { DRIFTSPORTAL_API_URL } from "../utils/baseUrl";
import { Geometry } from "geojson";

export interface RodeDto {
    rodeId: string;
    rodeNavn: string;
    vinterdriftsKlasser?: string[];
    detaljer: RodeVegnett;
}

export interface RodeVegnett {
    veglenke: string[];
    geometri: Geometry;
    vegsystemreferanse: string[];
    gatenavn: string[];
}

export function useHentRoder(
    elrappKontraktId: number | undefined
): ApiRespons<RodeDto[]> | undefined {
    const { data } = useSWR<ApiRespons<RodeDto[]>>(
        elrappKontraktId
            ? `${DRIFTSPORTAL_API_URL}/roder_v2?elrappkontraktid=${elrappKontraktId}`
            : null,
        fetcher,
        ikkeRevalidate
    );
    return data;
}
