import useSWR from "swr";
import { ApiRespons, fetcher, ikkeRevalidate } from "./api";
import { GCP_MEDIATOR_URL } from "../utils/baseUrl";
import { Point } from "geojson";
import { Dayjs } from "dayjs";
import { tilEnkelTimestampStr } from "../utils/tid";

export interface SisteKjøretøyDto {
    produksjonsdataRestRec: number;
    lokasjon: Point[];
}

export function useHentSisteKjøretøy(
    elrappkontraktid: number | undefined,
    tidspunkt: Dayjs
): ApiRespons<SisteKjøretøyDto[]> | undefined {
    const { data } = useSWR<ApiRespons<SisteKjøretøyDto[]>>(
        elrappkontraktid
            ? `${GCP_MEDIATOR_URL}/siste-kjøretøy?elrappkontraktid=${elrappkontraktid}&tidspunkt=${tilEnkelTimestampStr(
                  tidspunkt
              )}`
            : null,
        fetcher,
        ikkeRevalidate
    );
    return data;
}
