import useSWR from "swr";
import { ApiRespons, fetcher, ikkeRevalidate } from "./api";
import { WEBKAMERA_URL } from "../utils/baseUrl";

export interface WebkameraDto {
    id: number;
    stedsnavn: string;
    veg: string;
    landsdel: string;
    lengdegrad: number;
    breddegrad: number;
    vaervarsel: string;
    info: string;
    fylkesnummer: string;
    maalestasjonsnummer: string;
    videoformat: string;
    videoUrl: string;
    videobeskrivelse: string;
    bildefrekvens: string;
}

export function useHentWebkamera(): ApiRespons<WebkameraDto[]> | undefined {
    const { data } = useSWR<ApiRespons<WebkameraDto[]>>(
        [`${WEBKAMERA_URL}/public/kameradata`, false],
        ([url, medCredentials]) => fetcher(url, medCredentials),
        ikkeRevalidate
    );
    return data;
}
