import { ApiRespons, fetcher } from "./api";
import { GCP_MEDIATOR_URL } from "../utils/baseUrl";
import { Produksjonsdetaljer } from "../kartSide/types/produksjonsdetaljer";
import {
    dtoTilProduksjonsdetaljer,
    ProduksjonsdetaljerDto,
} from "./context/ProduksjonsdetaljerCacheContext";
import useSWR from "swr";

export function useHentØktDetaljer(økt: string): ApiRespons<Produksjonsdetaljer[]> | undefined {
    const { data } = useSWR<ApiRespons<ProduksjonsdetaljerDto[]>>(
        `${GCP_MEDIATOR_URL}/økt-detaljer?økt=${økt}`,
        fetcher
    );

    if (data?.suksess) {
        return {
            ...data,
            data: data.data.map(dtoTilProduksjonsdetaljer),
        };
    }

    return data;
}
