import React from "react";
import styled from "styled-components";

interface KnappTekstProps {
    children: React.ReactNode;
    onClick: (e: React.MouseEvent<HTMLElement>) => void;
    reference?: React.Ref<HTMLButtonElement>;
    type?: "button" | "submit" | "reset";
}

export const KnappUtenStyling = ({ onClick, children, reference, type }: KnappTekstProps) => (
    <KnappUtenStylingStyled onClick={onClick} ref={reference} type={type}>
        {children}
    </KnappUtenStylingStyled>
);

const KnappUtenStylingStyled = styled.button`
    display: flex;
    align-items: center;
    appearance: none;
    border: 0;
    width: fit-content;
    justify-content: space-between;
    background-color: transparent;
    padding: 0;
    font-size: 1rem;

    &:hover {
        cursor: pointer;
    }
`;
