import React, { FC, HTMLAttributes } from "react";
import styled from "styled-components";
import { Lenke } from "./Lenke";
import { Størrelse } from "../typografi/TekstStyles";

interface EksternLenkeProps extends HTMLAttributes<HTMLAnchorElement> {
    children: React.ReactNode;
    href: string;
    lenkeikon?: "vis" | "skjul";
    størrelse?: Størrelse;
}

export const EksternLenke: FC<EksternLenkeProps> = ({
    children,
    href,
    lenkeikon = "vis",
    størrelse,
}) => (
    <span>
        <Lenke href={href} target={"_blank"} rel="noreferrer" størrelse={størrelse}>
            {children}
            {lenkeikon == "vis" && <EksternLenkeIkon />}
        </Lenke>
    </span>
);

export const EksternLenkeIkon = styled.i`
    display: inline-block;
    width: 16px;
    height: 16px;
    background-image: url("/ikon/ekstern-lenke.svg");
    background-repeat: no-repeat;
    background-position: 100%;
    margin-left: 8px;
`;
