import styled from "styled-components";
import {
    fontsizeTheme,
    fontsizeThemeSmall,
    lineheightTheme,
    lineheightThemeSmall,
    Størrelse,
    TekstBasisStyles,
} from "./TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";

interface TekstProps {
    størrelse?: Størrelse;
    as?: "span" | "p";
    noMargin?: boolean;
    bold?: boolean;
}

export const Tekst = styled.p.attrs((props: TekstProps) => ({
    as: props.as || "p",
    størrelse: props.størrelse || "L",
    noMargin: props.noMargin || false,
    bold: props.bold || false,
}))`
    ${TekstBasisStyles};
    ${(props) => props.noMargin && "margin: 0;"}

    font-weight: ${(props) => (props.bold ? 600 : 400)};
    font-size: ${(props) => fontsizeTheme[props.størrelse]};
    line-height: ${(props) => lineheightTheme[props.størrelse]};

    @media (max-width: ${breakpointNettbrett}) {
        font-size: ${(props) => fontsizeThemeSmall[props.størrelse]};
        line-height: ${(props) => lineheightThemeSmall[props.størrelse]};
    }
`;
