import { Tekstpil } from "../../Ikon/Tekstpil";
import styled from "styled-components";
import { motion } from "framer-motion";

interface PilKnappProps {
    åpen: boolean;
    onClick: () => void;
}

export const PilKnapp = ({ åpen, onClick }: PilKnappProps) => {
    return (
        <MenyKnappUttrekk
            onClick={onClick}
            initial="collapsed"
            animate={åpen ? "open" : "closed"}
            exit="collapsed"
            variants={{
                open: { x: `var(--meny-width)` },
                collapsed: { x: "0px" },
            }}
            transition={{
                duration: 0.3,
            }}
        >
            <Tekstpil rotert={!åpen} retning={"vertikal"} />
        </MenyKnappUttrekk>
    );
};

const MenyKnappUttrekk = styled(motion.button)`
    position: absolute;
    background-color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-bottom: 2px solid var(--orange);
    cursor: pointer;
    width: 34px;
    height: 46px;
    top: 110px;
    z-index: 1500;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

    &:hover {
        border-bottom: 3px solid var(--orange);
    }
`;
