import { Side, sideInfo } from "../../sider";
import { Burgermeny } from "../burgermeny/Burgermeny";
import { BurgermenyEksternLenke, Burgermenylenke } from "../burgermeny/BurgermenyLenker";
import { Burgermenyknapp } from "../burgermeny/Burgermenyknapp";
import { useContext } from "react";
import {
    AuthenticationContext,
    AuthenticationStatus,
} from "../../api/context/AuthenticationContext";

interface BurgermenyVisningProps {
    toggleIntro: () => void;
    side: Side;
}

export const BurgermenyVisning = ({ toggleIntro, side }: BurgermenyVisningProps) => {
    const { setStatus } = useContext(AuthenticationContext);

    return (
        <Burgermeny>
            {Object.entries(sideInfo).map(
                (entry) =>
                    entry[0] !== side && (
                        <Burgermenylenke
                            key={entry[0]}
                            href={entry[1].href}
                            ikonUrl={entry[1].ikonUrl}
                            tekst={entry[1].navn}
                        />
                    )
            )}

            {side === "produksjonskart" && toggleIntro && (
                <Burgermenyknapp
                    onClick={toggleIntro}
                    ikonUrl="/ikon/hjelpetekst.svg"
                    tekst="Om kartet"
                />
            )}

            <BurgermenyEksternLenke
                href={
                    "https://teams.microsoft.com/l/channel/19%3a92e5e5f079524cf3a08309ade5a454f3%40thread.tacv2/Oppdateringer?groupId=ba4d81c4-9300-4114-977e-a32631c19af1&tenantId=38856954-ed55-49f7-8bdd-738ffbbfd390"
                }
                ikonUrl="/ikon/bjelle.svg"
                tekst="Siste nytt / oppdateringer"
            />

            <Burgermenyknapp
                onClick={() => setStatus(AuthenticationStatus.LoggerUt)}
                ikonUrl="/ikon/loggut.svg"
                tekst="Logg ut"
            />
        </Burgermeny>
    );
};
