import { render, screen, waitFor, within } from "@testing-library/react";
import { DriftsportalSide } from "./DriftsportalSide";
import { axeTilpasset } from "../utils/axeTilpasset";
import { AuthenticationContext, AuthenticationStatus } from "../api/context/AuthenticationContext";

jest.mock("./Karusell", () => {
    return {
        __esModule: true,
        KarusellProps: {},
        Karusell: () => <></>,
    };
});

const auteniseringRender = (ui: JSX.Element, { providerProps, ...renderOptions }: any) => {
    return render(
        <AuthenticationContext.Provider value={providerProps}>{ui}</AuthenticationContext.Provider>,
        renderOptions
    );
};
describe("Startside", () => {
    it("viser lenker", async () => {
        const authentiseringProps = {
            status: AuthenticationStatus.Autentisert,
        };
        auteniseringRender(<DriftsportalSide />, {
            providerProps: authentiseringProps,
        });

        const lenker = await screen.getAllByRole("link");
        expect(lenker.length).toBeGreaterThanOrEqual(1);
    });

    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        const authentiseringProps = {
            status: AuthenticationStatus.Autentisert,
        };
        const { container } = auteniseringRender(<DriftsportalSide />, {
            providerProps: authentiseringProps,
        });
        expect(screen.getByText("Litt om KOS (kontraktsoppfølging)")).toBeVisible();
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
