import { Panel } from "../components/fellesKomponenter/Panel";
import { Strek } from "../components/fellesKomponenter/Strek";
import styled from "styled-components";
import React from "react";
import { DivRef } from "../utils/scrollTo";
import { Lenke } from "../components/fellesKomponenter/lenker/Lenke";
import { Tekst } from "../components/fellesKomponenter/typografi/Tekst";
import { breakpointNettbrett } from "../utils/constants";

export const OmKos = React.forwardRef((props, ref) => (
    <Panel tittel="Litt om KOS (kontraktsoppfølging)" ref={ref as DivRef}>
        <ContentWrapper>
            <section>
                <Tekst>
                    Vi er et team som utvikler verktøy for kontraktsoppfølging for å gjøre
                    arbeidshverdagen til byggherrene på Drift og vedlikehold enklere.
                </Tekst>
                <Tekst>
                    {" "}
                    Arbeidet vårt oppdateres kontinuerlig basert på hva vi lærer og vi er derfor
                    alltid interessert i innspill og tilbakemeldinger på{" "}
                    <Lenke href="mailto:kos@vegvesen.no">kos@vegvesen.no</Lenke>.
                </Tekst>
                <Strek />
                <Tekst>
                    Hilsen Sigmund, Torjus, Kristina (utviklere), Asaf (teamleder) (øvre rad v til
                    h), Katja (produkteier), Siri (designer), og Torstein (fagressurs) (nedre rad v
                    til h).
                </Tekst>
            </section>
            <img src="./teamkos.png" alt="Team-Kos" width="100%" loading={"lazy"} />
        </ContentWrapper>
    </Panel>
));

OmKos.displayName = "OmKos";

const ContentWrapper = styled.div`
    padding: 0 1.5rem 1.5rem 1.5rem;

    @media (min-width: ${breakpointNettbrett}) {
        padding: 0;
        display: flex;
        flex-direction: row;
        gap: 2rem;
        justify-content: space-evenly;
        section {
            width: 60%;
        }

        img {
            margin-top: 1rem;
            height: 40%;
            width: 40%;
        }
    }
`;
