import { Lenke } from "../components/fellesKomponenter/lenker/Lenke";
import React from "react";
import styled from "styled-components";
import { scrollTo, SideRef } from "../utils/scrollTo";
import { breakpointNettbrett } from "../utils/constants";

interface ScrollToLenkerProps {
    lenker: ScrollToLenke[];
}

interface ScrollToLenke {
    href: string;
    tekst: string;
    ref: SideRef;
}

export const ScrollToLenker = ({ lenker }: ScrollToLenkerProps) => (
    <StyledUl>
        {lenker.map((lenke, index) => (
            <StyledLi key={index}>
                <Lenke onClick={() => scrollTo(lenke.ref)} href={lenke.href}>
                    {lenke.tekst}
                </Lenke>
            </StyledLi>
        ))}
    </StyledUl>
);

const StyledUl = styled.ul`
    list-style: none;
    display: flex;
    gap: 2rem;
    padding: 1.5rem 2rem;
    margin-top: 4px;
    flex-wrap: wrap;

    @media (max-width: ${breakpointNettbrett}) {
        padding: 1rem 1rem 0.75rem;
    }
`;

const StyledLi = styled.li`
    cursor: pointer;
    flex-grow: 0;
    font-size: 1rem;

    @media (max-width: ${breakpointNettbrett}) {
        flex-grow: 1;
        font-size: 0.75rem;
    }
`;
