import { useContext, useEffect, useRef } from "react";
import {
    InformasjonsmeldingContext,
    informasjonsmeldinger,
} from "../api/context/InformasjonsmeldingContext";
import { ProduksjonslenkerContext } from "../api/context/ProduksjonslenkerContext";

export const useTomProduksjonsvarsel = () => {
    const { produksjonslenker } = useContext(ProduksjonslenkerContext);
    const informasjonsmelding = useContext(InformasjonsmeldingContext);

    useEffect(() => {
        if (produksjonslenker?.suksess && produksjonslenker?.data?.length === 0) {
            informasjonsmelding.oppdater(informasjonsmeldinger.ingenProddataForValgteTimer, 30000);
        }
    }, [produksjonslenker]);
};
