import { FitBoundsOptions, LatLngBoundsExpression } from "leaflet";
import { useEffect, useState } from "react";
import { useMap } from "react-leaflet";

interface ChangeViewProps {
    kartBounds?: LatLngBoundsExpression;
    skalOppdatere?: boolean;
    medPadding?: boolean;
}

export const ChangeView = ({
    kartBounds,
    skalOppdatere = true,
    medPadding = false,
}: ChangeViewProps) => {
    const [forggieKartBounds, settForggieKartBounds] = useState<
        LatLngBoundsExpression | undefined
    >();
    const map = useMap();

    useEffect(() => {
        const fitBoundsOptions = medPadding
            ? ({ padding: [40, 40] } as FitBoundsOptions)
            : undefined;
        if (
            skalOppdatere &&
            kartBounds !== forggieKartBounds &&
            typeof kartBounds !== "undefined"
        ) {
            settForggieKartBounds(kartBounds);
            map.fitBounds(kartBounds, fitBoundsOptions);
        }
    }, [kartBounds, skalOppdatere, medPadding, forggieKartBounds, map]);
    return null;
};
