import { TrafikkmeldingCluster } from "../marker/TrafikkmeldingCluster";
import { getPopupType } from "../popup/popupUtils";
import { TrafikkmeldingerDto } from "../../api/useHentTrafikkmeldinger";
import React from "react";
import { ApiRespons } from "../../api/api";
import { InformasjonsPopupType, PopupType } from "./KartvisningGenerell";

interface TrafikkmeldingerProps {
    visTrafikkmeldinger: boolean;
    trafikkmeldinger: ApiRespons<TrafikkmeldingerDto[]>;
    popupInfo: PopupType | undefined;
    settPopupInfo: (popupInfo: PopupType | undefined) => void;
}
export const TrafikkmeldingClusterWrapper = ({
    visTrafikkmeldinger,
    trafikkmeldinger,
    popupInfo,
    settPopupInfo,
}: TrafikkmeldingerProps) => {
    const data: TrafikkmeldingerDto[] = visTrafikkmeldinger ? trafikkmeldinger.data : [];

    const popupinfo =
        getPopupType(popupInfo) === InformasjonsPopupType.TRAFIKKMELDING
            ? (popupInfo as TrafikkmeldingerDto)
            : undefined;

    return (
        <>
            <TrafikkmeldingCluster
                trafikkmeldingdata={data.filter((trafikkmelding) => trafikkmelding.roadClosed)}
                trafikkmeldingPopupInfo={popupinfo}
                settTrafikkmeldingPopupInfo={settPopupInfo}
                stengtVeg={true}
            />
            <TrafikkmeldingCluster
                trafikkmeldingdata={data.filter((trafikkmelding) => !trafikkmelding.roadClosed)}
                trafikkmeldingPopupInfo={popupinfo}
                settTrafikkmeldingPopupInfo={settPopupInfo}
                stengtVeg={false}
            />
        </>
    );
};
