import React from "react";
import styled from "styled-components";
import BrøytebilAnimasjon from "./BrøytebilAnimasjon";
import captions from "./captions.json";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";

export default function BrøytebilSpinner() {
    const tekstIndeks = Math.floor(Math.random() * captions.length);
    return (
        <Container data-testid="brøytebilspinner">
            <BrøytebilAnimasjon aria-label="Brøytebilspinner" />
            <Tekst>{captions[tekstIndeks]}...</Tekst>
        </Container>
    );
}

const Container = styled.div`
    width: 300px;
    height: 300px;
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: auto;
`;
