import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Checkbox } from "../../components/fellesKomponenter/checkboxer/Checkbox";
import React from "react";
import styled from "styled-components";
import { KombiKartvisningProps } from "./KartParameterVelger";

interface Props {
    kombikartvalg: KombiKartvisningProps;
    automatiskFokus: boolean;
}
export const KartvisningsValg = ({ kombikartvalg, automatiskFokus }: Props) => {
    return (
        <Wrapper>
            <Tekst størrelse={"M"} noMargin={true} bold={true}>
                Vis i kart
            </Tekst>
            <CheckboxWrapper>
                <Checkbox
                    key={"produksjon"}
                    onChange={() => kombikartvalg?.settVisProduksjon(!kombikartvalg.visProduksjon)}
                    checked={kombikartvalg.visProduksjon}
                    value={"produksjon"}
                    størrelse={"L"}
                    tekstStørrelse={"M"}
                    automatiskFokus={automatiskFokus}
                >
                    Produksjon
                </Checkbox>
                <Checkbox
                    key={"rode"}
                    onChange={() => kombikartvalg?.håndterSettVisRoder(!kombikartvalg.visRoder)}
                    checked={kombikartvalg.visRoder}
                    value={"rode"}
                    størrelse={"L"}
                    tekstStørrelse={"M"}
                >
                    Roder
                </Checkbox>
            </CheckboxWrapper>
        </Wrapper>
    );
};

const Wrapper = styled.div`
    display: flex;
    flex-direction: column;
`;

const CheckboxWrapper = styled.div`
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    gap: 10px;
`;
