import { render, screen } from "@testing-library/react";
import { KartParameterVelger, KombiKartvisningProps } from "../KartParameterVelger";
import { axeTilpasset } from "../../../utils/axeTilpasset";
import { RodeListeProps } from "../RodeListe";

jest.mock("next/router", () => ({
    useRouter: jest.fn(() => {
        return { pathname: "produksjonskart" };
    }),
}));

describe("KartTopControls", () => {
    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        const kartvalg: KombiKartvisningProps = {
            visRoder: true,
            håndterSettVisRoder: () => {},
            visProduksjon: true,
            settVisProduksjon: () => {},
        };
        const rodeData: RodeListeProps = {
            roder: [],
            settPopupInfo: () => {},
            popupInfo: undefined,
            settSelektertRodeFraListe: () => {},
            visRoder: true,
            håndterSettVisRoder: () => {},
        };

        const { container } = render(
            <KartParameterVelger
                kombikartvalg={kartvalg}
                rodeData={rodeData}
                automatiskFokus={false}
            />
        );
        expect(screen.getByText("Velg klokkeslett")).toBeVisible();
        expect(screen.getByText("Velg produksjonstyper")).toBeVisible();
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
