import { render, screen } from "@testing-library/react";
import React from "react";
import { KameraPopup } from "./KameraPopup";
import { WebkameraDto } from "../../../api/useHentWebkamera";
import { axeTilpasset } from "../../../utils/axeTilpasset";

describe("KjøretøyPopup", () => {
    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        const kameraInfo = {
            id: 3135099,
            stedsnavn: "Storjord døgnhvileplass",
            veg: "E6",
            landsdel: "Nord-Norge",
            vaervarsel: "https://www.yr.no/nb/værvarsel/daglig-tabell/66.81307,15.401145",
            info: "126 moh",
            fylkesnummer: "18",
            maalestasjonsnummer: "3000805",
            videoformat: "",
            videoUrl: "",
            videobeskrivelse: "",
            bildefrekvens: "3",
            lengdegrad: 15.401145,
            breddegrad: 66.81307,
        } as WebkameraDto;
        const { container } = render(<KameraPopup kamera={kameraInfo} onClose={() => {}} />);
        await screen.findByText("E6 Storjord døgnhvileplass");
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
