import { HjelpetekstPopup } from "../../../components/fellesKomponenter/HjelpetekstPopup";
import { Boldtext } from "../../../components/fellesKomponenter/typografi/Boldtext";
import { Tekst } from "../../../components/fellesKomponenter/typografi/Tekst";
import React from "react";
import styled from "styled-components";
import { KlasseMedSyklus } from "./vinterdriftsklasserUtils";

interface VinterdriftsklasserProps {
    klasserMedSyklus: KlasseMedSyklus[];
}
export const VinterdriftklasserInfo = ({ klasserMedSyklus }: VinterdriftsklasserProps) => (
    <IkonWrapper>
        <HjelpetekstPopup størrelse={"S"} plassering={"right top"}>
            {klasserMedSyklus.length === 0 ? (
                <Tekst størrelse={"S"} noMargin={true}>
                    Fant ingen vinterdriftsklasser for roden
                </Tekst>
            ) : (
                <>
                    {klasserMedSyklus.map((klasse, index) => (
                        <Wrapper key={index}>
                            <Boldtext størrelse={"S"} noMargin={true}>
                                {klasse.klasse}
                            </Boldtext>
                            <Tekst størrelse={"S"} noMargin={true}>
                                Maks syklustid er {klasse.syklus}
                            </Tekst>
                            <Tekst størrelse={"S"} noMargin={true}>
                                Godkjent førefohold er {klasse.godkjentFøreforhold}
                            </Tekst>
                        </Wrapper>
                    ))}
                </>
            )}
        </HjelpetekstPopup>
    </IkonWrapper>
);

const IkonWrapper = styled.div`
    align-self: flex-start;
    margin: 0 0 5px 0;
`;

const Wrapper = styled.div`
    margin-bottom: 0.4rem;
`;
