import { Produksjonsdetaljer } from "../../../types/produksjonsdetaljer";
import { SorterEtter, Sortering } from "./ProduksjonsdetaljerTabell";

export const sorterProduksjonsdetaljer = (
    produksjonsdetaljer: Produksjonsdetaljer[],
    sortering: Sortering
) =>
    produksjonsdetaljer.sort((a, b) => {
        if (sortering.sorterEtter === "materiale") {
            return sortering.stigende ? materialeSammenlikner(b, a) : materialeSammenlikner(a, b);
        }
        return sortering.stigende
            ? sammenlikner(b, a, sortering.sorterEtter)
            : sammenlikner(a, b, sortering.sorterEtter);
    });

const materialeSammenlikner = (a: Produksjonsdetaljer, b: Produksjonsdetaljer) => {
    const sorteringsVerdiA =
        a.erTørrstoffsprederPå || a.erVåtstoffsprederPå ? a.materiale ?? "ukjent" : "sprederAv";
    const sorteringsVerdiB =
        b.erTørrstoffsprederPå || b.erVåtstoffsprederPå ? b.materiale ?? "ukjent" : "sprederAv";
    return sorteringsVerdiB < sorteringsVerdiA ? 1 : sorteringsVerdiB > sorteringsVerdiA ? -1 : 0;
};

const sammenlikner = (a: Produksjonsdetaljer, b: Produksjonsdetaljer, sorterEtter: SorterEtter) =>
    (b[sorterEtter as keyof Produksjonsdetaljer] ?? "ukjent") <
    (a[sorterEtter as keyof Produksjonsdetaljer] ?? "ukjent")
        ? 1
        : (b[sorterEtter as keyof Produksjonsdetaljer] ?? "ukjent") >
          (a[sorterEtter as keyof Produksjonsdetaljer] ?? "ukjent")
        ? -1
        : 0;
