import { defaultAktiveKolonner } from "./VeglenkeDetaljer";
import {
    ProduksjonsdetaljerKolonne,
    ProduksjonsdetaljerKolonneNavn,
} from "./kolonneVelger/ProduksjonsdetaljerKolonneVelger";
import { SorterEtter } from "./ProduksjonsdetaljerTabell/ProduksjonsdetaljerTabell";
import { erAktiveKolonnerGyldige } from "./VeglenkeDetaljerUtils";

describe("VeglenkeDetaljerUtils", () => {
    it("finner ugyldige kolloner", () => {
        const utdaterteKolonner: ProduksjonsdetaljerKolonne[] = [
            {
                navn: ProduksjonsdetaljerKolonneNavn.Økt,
                iBruk: true,
                sorteringsnøkkel: SorterEtter.eksternReferanse,
            },
            {
                navn: ProduksjonsdetaljerKolonneNavn.Tid,
                iBruk: true,
                sorteringsnøkkel: SorterEtter.datoLogget,
            },
            {
                navn: ProduksjonsdetaljerKolonneNavn.Retning,
                iBruk: false,
                sorteringsnøkkel: SorterEtter.datoLogget,
            },
            {
                navn: ProduksjonsdetaljerKolonneNavn.Kjøretøy,
                iBruk: true,
                sorteringsnøkkel: SorterEtter.kjøretøyId,
            },
            {
                // @ts-ignore
                navn: "Minimum fart",
                iBruk: true,
                sorteringsnøkkel: SorterEtter.hastighetKmH,
            },
        ];
        const erKolonnerGyldige = erAktiveKolonnerGyldige(utdaterteKolonner);
        expect(erKolonnerGyldige).toBe(false);
    });

    it("finner gyldige kolloner", () => {
        const erKolonnerGyldige = erAktiveKolonnerGyldige(defaultAktiveKolonner);
        expect(erKolonnerGyldige).toBe(true);
    });
});
