import { ProduksjonsdetaljerKolonne } from "./kolonneVelger/ProduksjonsdetaljerKolonneVelger";
import { defaultAktiveKolonner } from "./VeglenkeDetaljer";
import { RodeDto } from "../../../api/useHentRoder";
import { ApiRespons } from "../../../api/api";
import {
    finnDriftsklasseMedHøyesteSyklustid,
    hentSyklusTidFraKlasser,
} from "../roder/vinterdriftsklasserUtils";

export const erAktiveKolonnerGyldige = (kolonner: ProduksjonsdetaljerKolonne[]) => {
    const defaultAktiveKolonnerNavn = defaultAktiveKolonner.map((kolonne) => kolonne.navn);
    return (
        kolonner.length === defaultAktiveKolonner.length &&
        kolonner.every(({ navn }) => defaultAktiveKolonnerNavn.includes(navn))
    );
};

export const manglerGyldigRodeData = (
    roderPåVeglenken: RodeDto[],
    roder?: ApiRespons<RodeDto[]>
) => {
    return (
        !roder?.data ||
        roderPåVeglenken.some(
            (rode) => !rode.vinterdriftsKlasser || rode.vinterdriftsKlasser.length === 0
        )
    );
};

export const genererMaksSyklustidStreng = (roderPåVeglenken: RodeDto[]) => {
    const driftsklasseMedHøyestSyklustid = finnDriftsklasseMedHøyesteSyklustid(roderPåVeglenken);
    if (driftsklasseMedHøyestSyklustid === undefined) {
        return "";
    }
    return `Data er filtrert for driftsklasse ${driftsklasseMedHøyestSyklustid}, med syklustid: ${hentSyklusTidFraKlasser(
        driftsklasseMedHøyestSyklustid
    )} timer.`;
};
