import { RodeDto } from "../../api/useHentRoder";
import { LatLngBoundsExpression } from "leaflet";

export const erMuseKlikk = (e: React.MouseEvent<HTMLElement>) => e.screenX === 0 && e.screenY === 0;

export const hentRodeFraVeglenke = (
    veglenke: string,
    rodedata: RodeDto[] | undefined
): RodeDto[] => {
    if (rodedata === undefined) {
        return [];
    }
    const veglenkeFormatert = veglenke.replace(" - ", "-");
    return rodedata.filter((rode: RodeDto) => rode.detaljer.veglenke.includes(veglenkeFormatert));
};

export const hentRodeIdFraVeglenke = (
    veglenkesekvensId: string,
    veglenkeNummer: string,
    rodedata: RodeDto[] | undefined
): string[] => {
    const veglenke = `${veglenkesekvensId}-${veglenkeNummer}`;
    const roderMedLenke = rodedata?.filter((rode) => rode?.detaljer?.veglenke?.includes(veglenke));
    const rodeId = roderMedLenke?.map((rode) => rode.rodeId);
    return rodeId ?? [];
};
export const defaultBounds: LatLngBoundsExpression = [
    [59.9, 10.7],
    [71.4, 31.8],
];
