import { finnMiljø, Miljø } from "./miljø";

const tjenesteUrl = (miljø: Miljø, tjeneste: string): string => {
    switch (miljø) {
        case Miljø.lokal:
            return `http://localhost:3001/${tjeneste}`;
        case Miljø.utv:
            return `https://${tjeneste}.utv.atlas.vegvesen.no`;
        case Miljø.test:
            return `https://${tjeneste}.test.atlas.vegvesen.no`;
        case Miljø.prod:
        default:
            return `https://${tjeneste}.atlas.vegvesen.no`;
    }
};

export const DRIFTSPORTAL_API_URL = tjenesteUrl(finnMiljø(), "driftsportal-api");
export const GCP_MEDIATOR_URL = tjenesteUrl(finnMiljø(), "gcp-mediator");
export const OIDC_LOGIN_URL = tjenesteUrl(finnMiljø(), "oidc-login");
export const WEBKAMERA_URL = tjenesteUrl(finnMiljø(), "webkamera");

export const TEAMSROM_URL =
    "https://teams.microsoft.com/l/team/19%3aeWOOy7tJcNU1686StDRgOYvQIg7cp6AMFW_h81q28LE1%40thread.tacv2/conversations?groupId=ba4d81c4-9300-4114-977e-a32631c19af1&tenantId=38856954-ed55-49f7-8bdd-738ffbbfd390";
