import { DRIFTSPORTAL_API_URL } from "./baseUrl";

export enum LoggNivå {
    Debug = "debug",
    Info = "info",
    Warn = "warn",
    Error = "error",
}

type LoggInfo =
    | {
          loggNivå: LoggNivå.Error;
          customInformasjon?: string;
          error: Error;
      }
    | {
          loggNivå: LoggNivå.Debug | LoggNivå.Info | LoggNivå.Warn;
          customInformasjon: string;
          error?: Error;
      };

export const loggFrontend = async function loggFrontend(logginfo: LoggInfo) {
    const body = JSON.stringify({
        customInformasjon: logginfo.customInformasjon,
        name: `${logginfo.error?.name}`,
        message: `${logginfo.error?.message}`,
    });
    try {
        const res = await fetch(`${DRIFTSPORTAL_API_URL}/logging/${logginfo.loggNivå}`, {
            method: "POST",
            body,
            headers: {
                "content-type": "application/json",
            },
            credentials: "include",
        });
        if (!res.ok) {
            console.error(`${res.status}-feil ved logging av:\n ${body}`);
        }
    } catch (error) {
        console.error(`Ukjent feil ved logging av:\n ${body}`);
    }
};
