export enum Miljø {
    lokal,
    utv,
    test,
    prod,
    ukjent,
}

export const finnMiljø = (): Miljø => {
    if (typeof window == "undefined") {
        return Miljø.ukjent;
    } else {
        const hostname = window.location.hostname;
        return hostname.includes(".utv.atlas.")
            ? Miljø.utv
            : hostname.includes(".test.atlas.")
            ? Miljø.test
            : hostname === "localhost"
            ? Miljø.lokal
            : Miljø.prod;
    }
};
