import React from "react";

export type SideRef = React.RefObject<HTMLDivElement | HTMLUListElement>;
export type DivRef = React.RefObject<HTMLDivElement>;
export type UlRef = React.RefObject<HTMLUListElement>;

export const scrollTo = (ref: SideRef) => {
    if (window && ref && ref.current) {
        window.scrollTo({
            top: ref.current.offsetTop - 60,
            left: 0,
            behavior: "smooth",
        });
    }
};
