import { render, screen } from "@testing-library/react";
import { WebkameraSide } from "./WebkameraSide";
import localStorageService from "../utils/storage/localstorageService";
import fetch from "jest-fetch-mock";
import { axeTilpasset } from "../utils/axeTilpasset";
import React from "react";

describe("Webkameraside", () => {
    // @ts-ignore
    localStorageService.hentFraLocalStorage = jest.fn<string[], []>(() => {
        return ["42"];
    });
    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        fetch.mockResponseOnce(
            '[{"id":3135102,"stedsnavn":"Lillesand døgnhvileplass","veg":"E18","landsdel":"Sør-Norge","vaervarsel":"https://www.yr.no/nb/værvarsel/daglig-tabell/58.267044,8.395375","info":"60 moh - retning døgnhvileplass","fylkesnummer":"42","maalestasjonsnummer":"3000766","videoformat":"","videoUrl":"","videobeskrivelse":"","bildefrekvens":"3","lengdegrad":8.395375,"breddegrad":58.267044}]'
        );
        const { container } = render(<WebkameraSide />);
        await screen.findByText("60 moh - retning døgnhvileplass");
        expect(screen.getByText("60 moh - retning døgnhvileplass")).toBeVisible();
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
