import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Radioknapp } from "../../components/fellesKomponenter/radioknapper/Radioknapp";
import React from "react";
import { ColumnWrapperValg } from "./styled";
import { GrafType } from "./GeneriskGraf";

export interface AktivGrafValgProps {
    aktivGraf: GrafType;
    setAktivGraf: (type: GrafType) => void;
}
export const AktivGrafValg = ({ aktivGraf, setAktivGraf }: AktivGrafValgProps) => {
    return (
        <ColumnWrapperValg>
            <Tekst bold={true} noMargin={true} størrelse={"M"}>
                Velg graftype
            </Tekst>
            <Radioknapp
                key={"aktivgrafHastighet"}
                value={GrafType.hastighet}
                checked={aktivGraf === GrafType.hastighet}
                name={"aktivgraf"}
                onChange={() => setAktivGraf(GrafType.hastighet)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Hastighet
            </Radioknapp>
            <Radioknapp
                key={"aktivgrafDosering"}
                value={GrafType.dosering}
                checked={aktivGraf === GrafType.dosering}
                name={"aktivgraf"}
                onChange={() => setAktivGraf(GrafType.dosering)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Dosering
            </Radioknapp>
        </ColumnWrapperValg>
    );
};
