import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Radioknapp } from "../../components/fellesKomponenter/radioknapper/Radioknapp";
import React from "react";
import { DoseringsType } from "./DoseringsGraf";
import { ColumnWrapperValg } from "./styled";

export interface DoseringsValgProps {
    doseringsType: DoseringsType;
    setDoseringsType: (type: DoseringsType) => void;
}
export const DoseringsValg = ({ doseringsType, setDoseringsType }: DoseringsValgProps) => {
    return (
        <ColumnWrapperValg>
            <Tekst bold={true} noMargin={true} størrelse={"M"}>
                Velg dosering eller sprederbredde
            </Tekst>
            <Radioknapp
                key={"doseringstype"}
                value={"doseringstype"}
                checked={doseringsType === DoseringsType.dosering}
                name={"doseringstype"}
                onChange={() => setDoseringsType(DoseringsType.dosering)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Dosering
            </Radioknapp>
            <Radioknapp
                key={"sprederbreddetype"}
                value={"sprederbreddetype"}
                checked={doseringsType === DoseringsType.sprederbredde}
                name={"doseringstype"}
                onChange={() => setDoseringsType(DoseringsType.sprederbredde)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Sprederbredde
            </Radioknapp>
        </ColumnWrapperValg>
    );
};
