import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Radioknapp } from "../../components/fellesKomponenter/radioknapper/Radioknapp";
import React from "react";
import { HastighetsType } from "./HastighetsGraf";
import { ColumnWrapperValg } from "./styled";

export interface HastighetsValgProps {
    hastighetsType: HastighetsType;
    setHastighetsType: (type: HastighetsType) => void;
}
export const HastighetsValg = ({ hastighetsType, setHastighetsType }: HastighetsValgProps) => {
    return (
        <ColumnWrapperValg>
            <Tekst bold={true} noMargin={true} størrelse={"M"}>
                Velg hastighet
            </Tekst>
            <Radioknapp
                key={"maks"}
                value={"maks"}
                checked={hastighetsType === HastighetsType.hastighetKmHMax}
                name={"hastighetstype"}
                onChange={() => setHastighetsType(HastighetsType.hastighetKmHMax)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Maks hastighet
            </Radioknapp>
            <Radioknapp
                key={"gjennomsnitt"}
                value={"gjennomsnitt"}
                checked={hastighetsType === HastighetsType.hastighetKmHAvg}
                name={"hastighetstype"}
                onChange={() => setHastighetsType(HastighetsType.hastighetKmHAvg)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Gjennomsnittshastighet
            </Radioknapp>
        </ColumnWrapperValg>
    );
};
