import { Container, Kategori, Opplysning, VisSkjulKnapp } from "./Metadata";
import styled from "styled-components";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { MetadataGjennomsnittsType } from "./utils";
interface SnittverdierProps {
    metadataSnittverdier: MetadataGjennomsnittsType[];
    seSnittverdier: boolean;
    setSeSnittverdier: (seSnittverdier: boolean) => void;
}

export const Snittverdier = ({
    metadataSnittverdier,
    seSnittverdier,
    setSeSnittverdier,
}: SnittverdierProps) => {
    return (
        <Container>
            <Kategori>Gjennomsnittverdier for økt:</Kategori>
            {seSnittverdier ? (
                <>
                    {metadataSnittverdier.map((snittverdi, index) => (
                        <div key={index}>
                            <Snittverdi bold={true}>{snittverdi.tittel}</Snittverdi>
                            <Snittverdi>
                                Gjennomsnittshastighet: {snittverdi.snitthastighetAvg} km/t
                            </Snittverdi>
                            <Snittverdi>
                                Makshastighet: {snittverdi.snitthastighetMaks} km/t
                            </Snittverdi>
                            {snittverdi.snittDosering && (
                                <Snittverdi>
                                    Dosering: {snittverdi.snittDosering} {snittverdi.doseringsEnhet}
                                </Snittverdi>
                            )}
                            {snittverdi.snittSprederbredde && (
                                <Snittverdi>
                                    Sprederbredde: {snittverdi.snittSprederbredde} cm
                                </Snittverdi>
                            )}
                        </div>
                    ))}

                    <VisSkjulKnapp onClick={() => setSeSnittverdier(false)}>
                        <Opplysning>Skjul</Opplysning>
                    </VisSkjulKnapp>
                </>
            ) : (
                <VisSkjulKnapp onClick={() => setSeSnittverdier(true)}>
                    <Opplysning>Vis alle</Opplysning>
                </VisSkjulKnapp>
            )}
        </Container>
    );
};

const Snittverdi = styled(Tekst).attrs(() => ({
    noMargin: true,
    størrelse: "M",
}))``;
